function draw_sample_frames_bw (trackers, videos, gt, r , video_name , draw_frames , frame_no_col)

if (nargin < 7)
    frame_no_col = 'y'
end

vn = -1;
for i = 1:length(videos)
    if (strcmp(videos{i},video_name))
        vn = i;
        break
    end
end
if (vn == -1)
    disp('video not found')
    return
end


grid_size = [1,length(draw_frames)];
load('cc');
img_path = ['D:\\Data\\TB-100-all\\' video_name '\\' video_name '\\img\\'];

k = 1;
fh = figure;
img_montage = [];
for i = 1:length(draw_frames)
    fr = draw_frames(i);
    
    img = imread(sprintf('%s%04d.jpg',img_path,fr));
    imshow(img);
    hold on
    
    set(gcf,'Color','w');
    
 
    for tr = 1:length(trackers)
        box = r{vn,tr}.res(fr,:);
        if (all(box > 0))
            rectangle('Position',box,'EdgeColor','b','LineWidth',2);
            if (tr == length(trackers))
                rectangle('Position',box,'EdgeColor','r','LineWidth',4);
            end
        end
    end
    
    rectangle('Position',gt{vn}(fr,:),'EdgeColor','y','LineWidth',3,'LineStyle',':');
    rectangle('Position',box,'EdgeColor','r','LineWidth',4);
    
    set(gca,'Position',[0,0,1,1]); 
    text(20,20,['Frame: ' num2str(fr)],'FontSize',28,'Color',frame_no_col );
    drawnow;
    F = getframe(fh);
    print(gcf,['vis/ill_' video_name '_fr' num2str(fr) '.png'],'-dpng')
    
    img_montage = img_layout (grid_size(1),grid_size(2),k,img_montage,F.cdata);
    k = k+1;
    
end

close all
% imshow(img_montage);
% axis tight
% print(gcf,['vis//' video_name '_selection.png'],'-dpng');

end